Bug 193832 - emulators/linux-c6
Summary: emulators/linux-c6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: freebsd-emulation mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-22 11:51 UTC by Admir Mehic
Modified: 2014-09-24 09:14 UTC (History)
1 user (show)

See Also:
admir: maintainer-feedback? (emulation)


Attachments
conditional depend on dri or nvidia-driver (855 bytes, patch)
2014-09-22 12:22 UTC, Johannes Jost Meixner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Admir Mehic 2014-09-22 11:51:46 UTC
Hi, im trying to install emulators/linux-c6

i get the following error when i tries to install the dependencie linux-c6-dri-9.2

===>  Installing for linux-c6-dri-9.2
===>  Checking if linux-c6-dri already installed
===>   Registering installation for linux-c6-dri-9.2 as automatic
pkg-static: linux-c6-dri-9.2 conflicts with nvidia-driver-331.67_1 (installs files into the same place).  Problematic file: /compat/linux/usr/lib/libGL.so.1
*** Error code 70

Stop.
make: stopped in /usr/ports/graphics/linux-c6-dri

===>>> Installation of linux-c6-dri-9.2 (graphics/linux-c6-dri) failed
===>>> Aborting update

===>>> Update for graphics/linux-c6-dri failed
===>>> Aborting update
Comment 1 Bugzilla Automation freebsd_committer 2014-09-22 11:51:46 UTC
Auto-assigned to maintainer emulation@FreeBSD.org
Comment 2 Johannes Jost Meixner freebsd_committer 2014-09-22 12:22:14 UTC
Created attachment 147557 [details]
conditional depend on dri or nvidia-driver

Fix the reported issue // conflict through providing an NVIDIA_GL option (which is disabled by default).
Comment 3 commit-hook freebsd_committer 2014-09-23 10:50:20 UTC
A commit references this bug:

Author: xmj
Date: Tue Sep 23 10:50:15 UTC 2014
New revision: 369028
URL: http://svnweb.freebsd.org/changeset/ports/369028

Log:
  Add NVIDIA_GL option to fix conflicts with Linux DRI

  linux-c6/f10 metaports pull in their respective dri implementation, which
  conflicts with nvidia-driver's libGL. Resolve this by adding an option for it,
  and conditionally pull in either Linux DRI, or the NVIDIA driver.
  Note: users of nvidia-driver will have to use ports for now.

  PR:		193832
  Differential Revision:	https://reviews.freebsd.org/D808
  Submitted by:	Admir Mehic (admir@mehic.at)
  Approved by:	koobs (mentor)

Changes:
  head/emulators/linux-c6/Makefile
  head/emulators/linux-f10/Makefile
Comment 4 Johannes Jost Meixner freebsd_committer 2014-09-24 09:14:27 UTC
Resolved in r369028.
Thanks for reporting!